<h2 class="text-2xl font-medium mb-7">Voeg een persoon toe</h2>

<p class="mb-6"><a href="/" class="text-sm text-sky-600 hover:text-sky-700 hover:underline">&larr; Terug naar alle
    personen</a></p>

<div id="results"></div>

<form method="POST" action="/people" hx-post="/people" hx-target="#results">
  <div class="grid grid-cols-12 mb-4">
    <label for="bsn"
      class="col-span-12 sm:col-span-4 md:col-span-3 pt-6 sm:pb-6 border-t text-gray-600 font-medium">Burgerservicenummer</label>
    <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
      <input type="text" id="bsn"
        class="border border-gray-300 text-gray-800 text-sm rounded-lg focus:outline-none focus:ring-1 focus:ring-sky-500 focus:border-sky-500 block w-full p-2.5 shadow-sm placeholder:text-gray-400"
        name="bsn" placeholder="Burgerservicenummer" autocomplete="off">
    </div>

    <label for="name"
      class="col-span-12 sm:col-span-4 md:col-span-3 pt-6 sm:pb-6 border-t text-gray-600 font-medium">Naam</label>
    <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
      <input type="text" id="name"
        class="border border-gray-300 text-gray-800 text-sm rounded-lg focus:outline-none focus:ring-1 focus:ring-sky-500 focus:border-sky-500 block w-full p-2.5 shadow-sm placeholder:text-gray-400"
        name="name" placeholder="Naam">
    </div>

    <label for="born-at"
      class="col-span-12 sm:col-span-4 md:col-span-3 pt-6 sm:pb-6 border-t text-gray-600 font-medium">Geboortedatum</label>
    <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
      <es-datetimepicker id="born-at" name="bornAt" placeholder="Selecteer datum en tijd"
        extra-input-classes="w-full"></es-datetimepicker>
    </div>

    <label
      class="col-span-12 sm:col-span-4 md:col-span-3 pt-6 sm:pb-6 border-t text-gray-600 font-medium">Geslacht</label>
    <div class="flex flex-col col-span-12 sm:col-span-8 md:col-span-9 py-6 sm:border-t">
      <label class="inline-flex items-center text-gray-600 mb-4">
        <input class="form-radio rounded-full border-gray-300 text-sky-600 focus:ring-sky-500 mr-3" name="sex"
          value="male" type="radio">
        Man</label>
      <label class="inline-flex items-center text-gray-600">
        <input class="form-radio rounded-full border-gray-300 text-sky-600 focus:ring-sky-500 mr-3" name="sex"
          value="female" type="radio">
        Vrouw</label>
      <!-- Note: intentionally no more options, to keep this repo for demonstration purposes simple and possibly to demonstrate later the effects of adding extra options -->
    </div>

    <label for="died-at"
      class="col-span-12 sm:col-span-4 md:col-span-3 pt-6 sm:pb-6 border-t text-gray-600 font-medium">Overlijdensdatum
      <span class="text-sm font-normal text-gray-400">(optioneel)</span>
    </label>
    <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
      <es-datetimepicker id="died-at" name="bornAt" placeholder="Selecteer datum en tijd"
        extra-input-classes="w-full"></es-datetimepicker>
      
    </div>
  </div>

  <p class="mb-8"><button type="submit"
      class="inline-block text-white text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm">Opslaan</button>
  </p>
</form>
